Bug 587573 - broken or deprecated mime type
Summary: broken or deprecated mime type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 659588 (view as bug list)
Depends On:
Blocks: 659588 907667
TreeView+ depends on / blocked
 
Reported: 2010-04-30 09:52 UTC by Rudolf Kastl
Modified: 2015-01-17 05:49 UTC (History)
9 users (show)

Fixed In Version: kdelibs-4.14.3-8.fc21
Doc Type: Enhancement
Doc Text:
Clone Of:
: 659588 (view as bug list)
Environment:
Last Closed: 2014-12-18 14:22:48 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 269045 None None None Never

Description Rudolf Kastl 2010-04-30 09:52:22 UTC
Description of problem:
Error in file "/usr/share/applications/kde4/kmplayer.desktop": "uri/mms" is an invalid MIME type ("uri" is an unregistered media type)
Error in file "/usr/share/applications/kde4/kmplayer.desktop": "uri/pnm" is an invalid MIME type ("uri" is an unregistered media type)
Error in file "/usr/share/applications/kde4/kmplayer.desktop": "uri/rtspt" is an invalid MIME type ("uri" is an unregistered media type)
Error in file "/usr/share/applications/kde4/kmplayer.desktop": "uri/rtspu" is an invalid MIME type ("uri" is an unregistered media type)


Version-Release number of selected component (if applicable):
kmplayer-0.11.2a-1.fc14.x86_64

Comment 1 Bug Zapper 2010-07-30 11:31:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Rex Dieter 2011-03-21 13:38:44 UTC
*** Bug 659588 has been marked as a duplicate of this bug. ***

Comment 3 Rex Dieter 2011-03-21 14:07:45 UTC
%changelog
* Mon Mar 21 2011 Rex Dieter <rdieter@fedoraproject.org> 0.11.2c-3
- use %%find_lang ... --with-kde
- broken or deprecated mime type (#587573)
- (upstreamable) fix for executable script

Comment 4 Rex Dieter 2011-04-25 18:13:09 UTC
kdelibs' /usr/share/mime/packages/kde.xml file defines the url/ type mimetypes, will have to explore a better fix.

  <!-- uri/ fake mime types -->
  <mime-type type="uri/mms">
    <comment>mms: URIs</comment>
  </mime-type>
  <mime-type type="uri/mmst">
    <comment>mmst: URIs</comment>
  </mime-type>
  <mime-type type="uri/mmsu">
    <comment>mmsu: URIs</comment>
  </mime-type>
  <mime-type type="uri/pnm">
    <comment>pnm: URIs</comment>
  </mime-type>
  <mime-type type="uri/rtspt">
    <comment>rtspt: URIs</comment>
  </mime-type>
  <mime-type type="uri/rtspu">
    <comment>rtspu: URIs</comment>
  </mime-type>

Comment 5 Rex Dieter 2011-04-25 18:19:40 UTC
And,

$ update-mime-database /usr/share/mime
...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Unknown media type in type 'interface/x-winamp-skin'

Comment 6 Kevin Kofler 2011-04-25 18:23:33 UTC
These should probably use x-scheme-handler/ instead of uri/.

Comment 7 Rex Dieter 2011-04-25 18:32:17 UTC
good idea! another reference,
http://lists.freedesktop.org/archives/xdg/2010-October/011629.html

I'll work on a patch for reviewboard.

Comment 8 Rex Dieter 2011-04-25 18:34:05 UTC
well, that'll cover the uri/* ones, not all/*... that's another battle.

Comment 9 Rex Dieter 2011-04-25 18:59:29 UTC
https://git.reviewboard.kde.org/r/101231/

Comment 10 Fedora End Of Life 2013-04-03 20:17:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 11 Rex Dieter 2014-12-18 14:22:48 UTC
Fixed in rawhide, stable release will get rolled in when next update comes (not issuing one just for this).

%changelog
* Thu Dec 18 2014 Rex Dieter <rdieter@fedoraproject.org> - 6:4.14.3-6
- kill uri/ fake mimetypes (#587573, kde#269045)
- own fake mimetype dirs, e.g. mime/all/ (#907667)

Comment 12 Fedora Update System 2014-12-30 15:16:06 UTC
kdelibs-4.14.3-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kdelibs-4.14.3-8.fc21

Comment 13 Fedora Update System 2014-12-30 15:22:27 UTC
kdelibs-4.14.3-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kdelibs-4.14.3-8.fc20

Comment 14 Fedora Update System 2015-01-08 23:31:37 UTC
kdelibs-4.14.3-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-01-17 05:49:47 UTC
kdelibs-4.14.3-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.